// Variables
@import 'variables';
// Bootstrap
@import '~bootstrap/scss/bootstrap';


.header {
    background: #191919;
    color: #fff;
    width: 100%;
    .navbar {
        .nav-link {
            color: #FFF;
            font-weight: bold;
            font-size: 1rem;
        }
        .nav-btn {
            padding: 0.5rem 1rem;
        }
    }
    &-logo {
        &-img {
            width: 41px;
            height: auto;
            margin-right: 1rem;
        }
        &-text {
            color: #fff;
            font-size: 1.5rem;
            font-weight: bold;
        }
    }
    &-inner {
        display: flex;
        justify-content: center;
        width: 100%;
        will-change: height, line-height;
        height: 5rem;
        line-height: 5rem;
        border-bottom: 1px solid #e2e2e2;
    }
    .nav {
        &-profile {
            display: flex;
            justify-content: space-around;
        }
    }
}

.btn {
    font-size: 16px;
    color: #ffffff;
    border-radius: 5%;
    border-width: 1px;
    text-transform: uppercase;
    font-weight: 500;
    border-color: transparent;
    box-shadow: 0 2px 14px rgb(240 113 170 / 17%);

}

.box-container {
    margin: 24px auto;
    padding: 24px 16px 48px;
    border: #e2e2e2 1px solid;
    border-radius: 4px;
}

.head {
    margin: 0 auto 16px;
    font-weight: 700;
    &-btn {
        margin: 0 0.5rem;
    }
}

.list {
    .item {
        margin-top: 16px;
        margin-bottom: 16px;
        .field {
            padding: 4px 16px;
            text-align: left;
            font-weight: 500;
        }
    }

}

.profile {
    &-image {
        margin: 24px auto 48px;
        img {
            border-radius: 5%;
            box-shadow: 0 2px 14px rgb(240 113 170 / 17%);
        }
    }
    &-name {
        font-style: italic;
    }
    &-buttons {
        .btn {
            width: 120px;
            margin-left: 16px;
            margin-right: 16px;
            background-color: #57b12d;
            border-color: transparent;
            box-shadow: 0 2px 14px rgb(240 113 170 / 17%);
        }
    }
}

.footer {
    background-color: #191919;
    box-shadow: 0 0 24px 0 rgb(0 0 0 / 10%);
    position: fixed;
    bottom: 0;
    width: 100%;
    .copyright {
        text-align: center;
        font-size: .875rem;
        padding: 16px 0;
        color: #fff;
        display: block;
        font-weight: 400;

    }
}
form {
    .btn {
        width: 120px;
    }
}
